Get Views
curl --request GET \
--url https://api.example.com/api/views \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/views"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"role_name": "<string>",
"query": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_view": true,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"external_id": "<string>"
}
]{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Views (Deprecated)
Get Views
deprecated
Get views for the roles. This has been deprecated,
use POST /api/dataproduct instead.
GET
/
api
/
views
Get Views
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Response
Retrieved views successfully
Name of the view.
Role associated with this view.
SQL query or definition of the view.
Unique ID of the view.
Flag indicating if this record is a view.
The view creation timestamp.
The view creator's email address or identifier.
Optional external identifier for the view.
Was this page helpful?

